## krita 4.0.1%2Bdfsg

=== plugins/python/CMakeLists.txt ===
# Copyright (C) 2012, 2013 Shaheed Haque <srhaque@theiet.org>
# Copyright (C) 2013 Alex Turbov <i.zaufi@gmail.com>
# Copyright (C) 2014-2016 Boudewijn Rempt <boud@valdyas.org>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

include(CMakeParseArguments)

#
# Simple helper function to install plugin and related files
# having only a name of the plugin...
# (just to reduce syntactic noise when a lot of plugins get installed)
#
function(install_pykrita_plugin name)
    set(_options)
    set(_one_value_args)
    set(_multi_value_args PATTERNS FILE)
    cmake_parse_arguments(install_pykrita_plugin "${_options}" "${_one_value_args}" "${_multi_value_args}" ${ARGN})
    if(NOT name)
        message(FATAL_ERROR "Plugin filename is not given")
    endif()
    if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${name}.py)
        install(FILES kritapykrita_${name}.desktop DESTINATION ${DATA_INSTALL_DIR}/krita/pykrita)
        foreach(_f ${name}.py ${name}.ui ${install_pykrita_plugin_FILE})
            if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_f})
                install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${_f} DESTINATION ${DATA_INSTALL_DIR}/krita/pykrita)
            endif()
        endforeach()
    elseif(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${name})
        install(FILES ${name}/kritapykrita_${name}.desktop DESTINATION ${DATA_INSTALL_DIR}/krita/pykrita)
        install(
            DIRECTORY ${name}
            DESTINATION ${DATA_INSTALL_DIR}/krita/pykrita
            FILES_MATCHING
                PATTERN "*.py"
                PATTERN "*.ui"
                PATTERN "*.txt"
                PATTERN "*.csv"
                PATTERN "*.html"
                PATTERN "__pycache__*" EXCLUDE
                PATTERN "icons" EXCLUDE
           )
        # TODO Is there any way to form a long PATTERN options string
        # and use it in a single install() call?
        # NOTE Install specified patterns one-by-one...
        foreach(_pattern ${install_pykrita_plugin_PATTERNS})
            install(
                DIRECTORY ${name}
                DESTINATION ${DATA_INSTALL_DIR}/krita/pykrita
                FILES_MATCHING
                    PATTERN "${_pattern}"
                    PATTERN "__pycache__*" EXCLUDE
              )
        endforeach()
    else()
        message(FATAL_ERROR "Do not know what to do with ${name}")
    endif()
endfunction()

install_pykrita_plugin(hello)
install_pykrita_plugin(assignprofiledialog)
install_pykrita_plugin(scripter)
install_pykrita_plugin(colorspace)
install_pykrita_plugin(documenttools)
install_pykrita_plugin(filtermanager)
install_pykrita_plugin(exportlayers)
#install_pykrita_plugin(highpass)
install_pykrita_plugin(tenbrushes)
install_pykrita_plugin(tenscripts)
install_pykrita_plugin(palette_docker)
install_pykrita_plugin(quick_settings_docker)
install_pykrita_plugin(lastdocumentsdocker)
# install_pykrita_plugin(scriptdocker)
install_pykrita_plugin(comics_project_management_tools)

# if(PYTHON_VERSION_MAJOR VERSION_EQUAL 3)
#     install_pykrita_plugin(cmake_utils)
#     install_pykrita_plugin(js_utils PATTERNS "*.json")
#     install_pykrita_plugin(expand PATTERNS "*.expand" "templates/*.tpl")
# endif()

install( FILES
    hello/hello.xmlgui
DESTINATION ${DATA_INSTALL_DIR}/kritaplugins/)



install( FILES
    hello/hello.action
    tenbrushes/tenbrushes.action
    tenscripts/tenscripts.action
DESTINATION  ${DATA_INSTALL_DIR}/krita/actions)

install(
    DIRECTORY libkritapykrita
    DESTINATION ${DATA_INSTALL_DIR}/krita/pykrita
    FILES_MATCHING
        PATTERN "*.py"
        PATTERN "__pycache__*" EXCLUDE
  )

=== libs/libkis/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include(ECMAddTests)
include(KritaAddBrokenUnitTest)

macro_add_unittest_definitions()

ecm_add_tests(
    #TestKrita.cpp
    TestChannel.cpp
    TestDocument.cpp
    TestNode.cpp
    TestFilter.cpp
    TestManagedColor.cpp
    TestNotifier
    NAME_PREFIX "libs-kritalibkis-"
    LINK_LIBRARIES kritalibkis Qt5::Test)

=== libs/ui/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

#add_subdirectory(scratchpad)
include_directories(${CMAKE_SOURCE_DIR}/libs/image/metadata 
                    ${CMAKE_SOURCE_DIR}/sdk/tests )

include(ECMAddTests)

macro_add_unittest_definitions()

ecm_add_tests(
    kis_image_view_converter_test.cpp
    kis_shape_selection_test.cpp
    kis_recorded_action_editor_test.cpp
    kis_doc2_test.cpp
    kis_coordinates_converter_test.cpp
    kis_grid_config_test.cpp
    kis_stabilized_events_sampler_test.cpp
    kis_derived_resources_test.cpp
    kis_brush_hud_properties_config_test.cpp
    kis_shape_commands_test.cpp
    kis_shape_layer_test.cpp
    kis_stop_gradient_editor_test.cpp
    NAME_PREFIX "krita-ui-"
    LINK_LIBRARIES kritaui Qt5::Test
)

ecm_add_tests(
    kis_file_layer_test.cpp
    kis_multinode_property_test.cpp
    NAME_PREFIX "krita-ui-"
    LINK_LIBRARIES kritaui kritaimage Qt5::Test
)


ecm_add_test( kis_selection_decoration_test.cpp ../../../sdk/tests/stroke_testing_utils.cpp
    TEST_NAME krita-ui-KisSelectionDecorationTest
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

ecm_add_test( kis_node_dummies_graph_test.cpp ../../../sdk/tests/testutil.cpp
    TEST_NAME krita-ui-KisNodeDummiesGraphTest
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

ecm_add_test( kis_node_shapes_graph_test.cpp ../../../sdk/tests/testutil.cpp
    TEST_NAME krita-ui-KisNodeShapesGraphTest
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

ecm_add_test( kis_model_index_converter_test.cpp ../../../sdk/tests/testutil.cpp
    TEST_NAME krita-ui-KisModelIndexConverterTest
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

ecm_add_test( kis_categorized_list_model_test.cpp modeltest.cpp
    TEST_NAME krita-ui-KisCategorizedListModelTest
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

ecm_add_test( kis_resource_server_provider_test.cpp modeltest.cpp
    TEST_NAME krita-ui-KisResourceServerProviderTest
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

ecm_add_test( kis_node_juggler_compressed_test.cpp  ../../../sdk/tests/testutil.cpp
    TEST_NAME krita-image-BaseNodeTest
    LINK_LIBRARIES kritaimage kritaui Qt5::Test)

ecm_add_test(
    kis_animation_exporter_test.cpp
    TEST_NAME kritaui-animation_exporter_test
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

set(kis_node_view_test_SRCS kis_node_view_test.cpp  ../../../sdk/tests/testutil.cpp)
qt5_add_resources(kis_node_view_test_SRCS ${krita_QRCS})
ecm_add_test(${kis_node_view_test_SRCS}
    TEST_NAME krita-image-kis_node_view_test
    LINK_LIBRARIES kritaimage kritaui Qt5::Test)



##### Tests that currently fail and should be fixed #####

include(KritaAddBrokenUnitTest)

krita_add_broken_unit_test(
    kis_node_model_test.cpp modeltest.cpp
    TEST_NAME krita-ui-kis_node_model_test
    LINK_LIBRARIES kritaui Qt5::Test)

krita_add_broken_unit_test(
    kis_shape_controller_test.cpp kis_dummies_facade_base_test.cpp
    TEST_NAME krita-ui-kis_shape_controller_test
    LINK_LIBRARIES kritaimage kritaui Qt5::Test)

krita_add_broken_unit_test(
    kis_prescaled_projection_test.cpp
    TEST_NAME krita-ui-kis_prescaled_projection_test
    LINK_LIBRARIES kritaui Qt5::Test)

krita_add_broken_unit_test(
    kis_exiv2_test.cpp
    TEST_NAME krita-ui-KisExiv2Test
    LINK_LIBRARIES kritaimage kritaui Qt5::Test)

krita_add_broken_unit_test(
    kis_clipboard_test.cpp
    TEST_NAME krita-ui-KisClipboardTest
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

krita_add_broken_unit_test(
    freehand_stroke_test.cpp ${CMAKE_SOURCE_DIR}/sdk/tests/stroke_testing_utils.cpp
    TEST_NAME krita-ui-FreehandStrokeTest
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

krita_add_broken_unit_test(
    FreehandStrokeBenchmark.cpp ${CMAKE_SOURCE_DIR}/sdk/tests/stroke_testing_utils.cpp
    TEST_NAME krita-ui-FreehandStrokeBenchmark
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

krita_add_broken_unit_test(
    fill_processing_visitor_test.cpp ${CMAKE_SOURCE_DIR}/sdk/tests/stroke_testing_utils.cpp
    TEST_NAME krita-ui-FillProcessingVisitorTest
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

krita_add_broken_unit_test(
    filter_stroke_test.cpp ../../../sdk/tests/stroke_testing_utils.cpp
    TEST_NAME krita-ui-FilterStrokeTest
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

krita_add_broken_unit_test(
    kis_selection_manager_test.cpp
    TEST_NAME krita-ui-KisSelectionManagerTest
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)
#set_tests_properties(krita-ui-KisSelectionManagerTest PROPERTIES TIMEOUT 300)

krita_add_broken_unit_test(
    kis_node_manager_test.cpp
    TEST_NAME krita-ui-KisNodeManagerTest
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

krita_add_broken_unit_test(
    kis_dummies_facade_test.cpp kis_dummies_facade_base_test.cpp ../../../sdk/tests/testutil.cpp
    TEST_NAME krita-ui-KisDummiesFacadeTest
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

krita_add_broken_unit_test(
    kis_zoom_and_pan_test.cpp ../../../sdk/tests/testutil.cpp
    TEST_NAME krita-ui-KisZoomAndPanTest
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)
#set_tests_properties(krita-ui-KisZoomAndPanTest PROPERTIES TIMEOUT 300)

krita_add_broken_unit_test(
    kis_action_manager_test.cpp
    TEST_NAME krita-ui-KisActionManagerTest
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

krita_add_broken_unit_test(
    kis_categories_mapper_test.cpp testing_categories_mapper.cpp
    TEST_NAME krita-ui-KisCategoriesMapperTest
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

krita_add_broken_unit_test(
    kis_asl_layer_style_serializer_test.cpp
    TEST_NAME krita-ui-KisAslLayerStyleSerializerTest
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

krita_add_broken_unit_test(
    kis_animation_importer_test.cpp
    TEST_NAME kritaui-animation_importer_test
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

krita_add_broken_unit_test(
    kis_animation_frame_cache_test.cpp
    TEST_NAME kritaui-animation_frame_cache_test
    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

krita_add_broken_unit_test(
    ResourceBundleTest.cpp
    TEST_NAME krita-resourcemanager-ResourceBundleTest
    LINK_LIBRARIES kritaui kritalibbrush kritalibpaintop Qt5::Test)

# FIXME this test doesn't compile
#ecm_add_test(
#    kis_input_manager_test.cpp ../../../sdk/tests/testutil.cpp
#    TEST_NAME krita-ui-KisInputManagerTest
#    LINK_LIBRARIES kritaui kritaimage Qt5::Test)

=== plugins/extensions/colorspaceconversion/CMakeLists.txt ===
set(kritacolorspaceconversion_SOURCES colorspaceconversion.cc dlg_colorspaceconversion.cc )
ki18n_wrap_ui(kritacolorspaceconversion_SOURCES wdgconvertcolorspace.ui )
add_library(kritacolorspaceconversion MODULE ${kritacolorspaceconversion_SOURCES})
target_link_libraries(kritacolorspaceconversion kritaui)
install(TARGETS kritacolorspaceconversion  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})
install( FILES  colorspaceconversion.xmlgui  DESTINATION ${DATA_INSTALL_DIR}/kritaplugins)

=== plugins/tools/basictools/CMakeLists.txt ===
if (NOT APPLE)
    add_subdirectory(tests)
endif ()

set(kritadefaulttools_SOURCES
    default_tools.cc
    kis_tool_colorpicker.cc
    kis_tool_brush.cc
    kis_tool_line.cc
    kis_tool_line_helper.cpp
    kis_tool_fill.cc
    kis_tool_rectangle.cc
    kis_tool_ellipse.cc
    kis_tool_gradient.cc
    kis_tool_measure.cc
    kis_tool_path.cc
    kis_tool_move.cc
    kis_tool_movetooloptionswidget.cpp
    strokes/move_stroke_strategy.cpp
    strokes/move_selection_stroke_strategy.cpp
    kis_tool_multihand.cpp
    kis_tool_multihand_config.cpp
    kis_tool_pencil.cc
    kis_tool_pan.cpp
    )

ki18n_wrap_ui(kritadefaulttools_SOURCES wdgcolorpicker.ui wdgmovetool.ui wdgmultihandtool.ui)
qt5_add_resources(kritadefaulttools_SOURCES defaulttools.qrc )

add_library(kritadefaulttools MODULE ${kritadefaulttools_SOURCES})

generate_export_header(kritadefaulttools BASE_NAME kritadefaulttools)

target_link_libraries(kritadefaulttools kritaui kritabasicflakes)
target_link_libraries(kritadefaulttools ${Boost_SYSTEM_LIBRARY})

install(TARGETS kritadefaulttools  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES
    KisToolPath.action
    KisToolPencil.action
DESTINATION  ${DATA_INSTALL_DIR}/krita/actions)

=== plugins/dockers/defaultdockers/tests/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/sdk/tests ${CMAKE_CURRENT_BINARY_DIR}/..)

macro_add_unittest_definitions()

=== plugins/impex/png/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories(     ${CMAKE_SOURCE_DIR}/sdk/tests )

include(KritaAddBrokenUnitTest)

macro_add_unittest_definitions()

krita_add_broken_unit_test(kis_png_test.cpp
    TEST_NAME krita-plugin-format-png_test
    LINK_LIBRARIES kritaui Qt5::Test)

## krita 3.1.1+dfsg

=== debian/changelog ===
krita (1:3.1.1+dfsg-1) unstable; urgency=medium

  * Upload to unstable. (Closes: #811432)
  * New upstream release.
  * Update watch file.
  * Update Vcs-* fields.
  * Update copyright.
  * Pass -DFOUNDATION_BUILD=OFF to cmake to enforce it, to make sure resources
    provided by distro packages are not installed.
    - stop removing the Breeze color schemes, they are not installed anymore
  * Suggest ffmpeg, used for the video export.
  * Update lintian overrides.
  * Enable the OpenEXR support again -- it seems the conflict with Eigen3
    headers is gone
    - add the libopenexr-dev build dependency
  * Add Breaks/Replaces for all the calligra-l10n packages prior to < 2.9.11,
    i.e. when krita was split out of calligra (in Debian).

 -- Pino Toscano <pino@debian.org>  Fri, 23 Dec 2016 14:43:45 +0100

krita (1:3.0.1+dfsg-1) experimental; urgency=low

  * Initial release.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Sep 2016 11:46:46 +0200

=== debian/control ===
Source: krita
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               gettext,
               libboost-system-dev,
               libcurl4-gnutls-dev | libcurl-dev,
               libeigen3-dev,
               libexiv2-dev,
               libfftw3-dev,
               libgsl-dev,
               libjpeg-dev,
               liblcms2-dev,
               libopencolorio-dev,
               libopenexr-dev,
               libpng-dev,
               libpoppler-qt5-dev,
               libraw-dev,
               libtiff-dev,
               libxcb1-dev,
               libxcb-util0-dev,
               libxi-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               zlib1g-dev,
               extra-cmake-modules (>= 1.7.0),
               qtbase5-dev (>= 5.4.0),
               libqt5svg5-dev (>= 5.4.0),
               libqt5x11extras5-dev (>= 5.4.0),
               libkf5archive-dev (>= 5.7.0),
               libkf5completion-dev (>= 5.7.0),
               libkf5config-dev (>= 5.7.0),
               libkf5coreaddons-dev (>= 5.7.0),
               libkf5crash-dev (>= 5.7.0),
               libkf5guiaddons-dev (>= 5.7.0),
               libkf5i18n-dev (>= 5.7.0),
               libkf5itemmodels-dev (>= 5.7.0),
               libkf5itemviews-dev (>= 5.7.0),
               libkf5kio-dev (>= 5.7.0),
               libkf5widgetsaddons-dev (>= 5.7.0),
               libkf5windowsystem-dev (>= 5.7.0),
Standards-Version: 3.9.8
Homepage: https://krita.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/calligra/krita.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/calligra/krita.git

Package: krita
Architecture: any
Section: graphics
Depends: krita-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: krita-l10n (>= ${source:Version}),
          colord,
          ffmpeg,
Breaks: krita-data (<< 1:2.4)
Replaces: krita-data (<< 1:2.4)
Description: pixel-based image manipulation program
 Krita is a creative application for raster images. Whether you want to create
 from scratch or work with existing images, Krita is for you. You can work with
 photos or scanned images, or start with a blank slate. Krita supports most
 graphics tablets out of the box.
 .
 Krita is different from other graphics design programs in that it has
 pluggable brush engines, some supporting brush resources like Gimp brush files,
 others offering sophisticated simulation of real brushes, and others again
 offering color mixing and image deformations. Moreover, Krita has full
 support for graphics tablets, including such features as pressure, tilt and
 rate, making it a great choice for artists. There are easy to use tools for
 drawing lines, ellipses and rectangles, and the freehand tool is supported by
 pluggable "drawing assistants" that help you draw shapes that still have a
 freehand feeling to them.
 .
 This package is part of the Calligra Suite.

Package: krita-data
Architecture: all
Section: graphics
Depends: ${misc:Depends}
Description: data files for Krita painting program
 This package contains architecture-independent data files for Krita,
 the painting program shipped with the Calligra Suite.
 .
 See the krita package for further information.
 .
 This package is part of the Calligra Suite.

Package: krita-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends}
Breaks: ${krita:oldLangs}
Replaces: ${krita:oldLangs}
Description: translations for Krita painting program
 This package contains the translations for Krita, the painting program
 shipped with the Calligra Suite.
 .
 See the krita package for further information.
 .
 This package is part of the Calligra Suite.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# conflicts with old calligra-l10n
# (mostly copied from l10n-packages.mk in pkg-kde-tools)
l10npkgs_firstversion_ok := 1:2.9.11-1~
l10npkgs_prefix := calligra-l10n
l10npkgs_fixed_version_comma := (<< $(l10npkgs_firstversion_ok)),
# the list of languages in calligra-l10n < 2.9
l10npkgs_langs := bs ca cavalencia cs da de el engb es et eu fi fr gl hu it ja kk nb nds nl pl pt ptbr ru sk sv uk zhcn zhtw
l10npkgs_packages_rels := $(patsubst %,$(l10npkgs_prefix)-% $(l10npkgs_fixed_version_comma),$(l10npkgs_langs))

%:
	dh $@ --parallel --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DPACKAGERS_BUILD=ON -DFOUNDATION_BUILD=OFF -DBUILD_TESTING=OFF

override_dh_auto_install:
	dh_auto_install
	# remove symlinks of private libraries
	find debian/tmp -name '*.so' -type l -print -delete
	# unused tool
	rm -v debian/tmp/usr/bin/gmicparser

override_dh_install:
	dh_install --list-missing

override_dh_gencontrol:
	dh_gencontrol -pkrita-l10n -- -Vkrita:oldLangs='$(l10npkgs_packages_rels)'
	dh_gencontrol --remaining-packages

.PHONY: override_dh_auto_test

=== debian/watch ===
version=4

opts="repack, repacksuffix=+dfsg, dversionmangle=s/\+dfsg\d*$//" \
http://download.kde.org/stable/krita/([\d\.]+)/krita-([\d\.]+)\.tar\.(?:gz|xz)

## krita 3.1.2.1

=== debian/changelog ===
krita (1:3.1.2.1-0ubuntu1) zesty; urgency=medium

  * New upstream release (3.1.2.1)
  * Restore Kubuntu VCS fields
  * Build depend on vc-dev on amd64 and i386 where a new enough version
    is now available. Recommended by krita developers 'to speed up it's
    brush strokes with CPU vector instructions'.
  * wrap-and-sort control file
  * Build dep on qtmultimedia5-dev for animation audio support.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 16 Mar 2017 20:29:55 +0000

krita (1:3.1.1+dfsg-1build1) zesty; urgency=medium

  * No-change rebuild against latest libraw

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 15 Jan 2017 19:00:58 -0500

krita (1:3.1.0-0ubuntu1) zesty; urgency=medium

  * Initial packaging for Krita 3 split from calligra
  * New upstream release (3.0.1)
  * New upstream release (3.1.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 14 Dec 2016 19:29:22 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
+               extra-cmake-modules (>= 1.7.0),
                gettext,
                libboost-system-dev,
                libcurl4-gnutls-dev | libcurl-dev,
@@ -13,23 +14,6 @@
                libfftw3-dev,
                libgsl-dev,
                libjpeg-dev,
-               liblcms2-dev,
-               libopencolorio-dev,
-               libopenexr-dev,
-               libpng-dev,
-               libpoppler-qt5-dev,
-               libraw-dev,
-               libtiff-dev,
-               libxcb1-dev,
-               libxcb-util0-dev,
-               libxi-dev,
-               pkg-config,
-               pkg-kde-tools (>= 0.15.16),
-               zlib1g-dev,
-               extra-cmake-modules (>= 1.7.0),
-               qtbase5-dev (>= 5.4.0),
-               libqt5svg5-dev (>= 5.4.0),
-               libqt5x11extras5-dev (>= 5.4.0),
                libkf5archive-dev (>= 5.7.0),
                libkf5completion-dev (>= 5.7.0),
                libkf5config-dev (>= 5.7.0),
@@ -42,20 +26,34 @@
                libkf5kio-dev (>= 5.7.0),
                libkf5widgetsaddons-dev (>= 5.7.0),
                libkf5windowsystem-dev (>= 5.7.0),
+               liblcms2-dev,
+               libopencolorio-dev,
+               libopenexr-dev,
+               libpng-dev,
+               libpoppler-qt5-dev,
+               libqt5svg5-dev (>= 5.4.0),
+               libqt5x11extras5-dev (>= 5.4.0),
+               libraw-dev,
+               libtiff-dev,
+               libxcb-util0-dev,
+               libxcb1-dev,
+               libxi-dev,
+               pkg-config,
+               pkg-kde-tools (>= 0.15.16),
+               qtbase5-dev (>= 5.4.0),
+               qtmultimedia5-dev,
+               vc-dev [amd64 i386],
+               zlib1g-dev
 Standards-Version: 3.9.8
 Homepage: https://krita.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/calligra/krita.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/calligra/krita.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krita
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krita
 
 Package: krita
 Architecture: any
 Section: graphics
-Depends: krita-data (>= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: krita-l10n (>= ${source:Version}),
-          colord,
-          ffmpeg,
+Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
 Breaks: krita-data (<< 1:2.4)
 Replaces: krita-data (<< 1:2.4)
 Description: pixel-based image manipulation program

## krita 3.2.1+dfsg

=== debian/changelog ===
krita (1:3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop the libcurl4-gnutls-dev build dependency, no more searched by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Fri, 25 Aug 2017 20:32:08 +0200

krita (1:3.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release:
    - fixes scroll wheel behavior with Qt 5.7+ (Closes: #871482)

  [ Simon Quigley ]
  * Run wrap-and-sort to organize debian/control.

  [ Pino Toscano ]
  * Drop removal of gmicparser, no more shipped upstream.
  * Bump Standards-Version to 4.0.1, no changes required.
  * Small copyright update.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 19 Aug 2017 08:56:22 +0200

krita (1:3.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies:
    - add qtmultimedia5-dev, for the animation features
    - add vc-dev (only on i386 and amd64 architectures), since it is available
      in Debian
    - bump all the Qt packages to 5.6.0, as required by the upstream build
      system
  * Drop the -DPACKAGERS_BUILD=ON cmake parameter, as that option is gone.
  * Update copyright.
  * Record as Built-Using the version of the source of vc-dev used for the
    build.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Jun 2017 06:57:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                extra-cmake-modules (>= 1.7.0),
                gettext,
                libboost-system-dev,
-               libcurl4-gnutls-dev | libcurl-dev,
                libeigen3-dev,
                libexiv2-dev,
                libfftw3-dev,
@@ -31,8 +30,8 @@
                libopenexr-dev,
                libpng-dev,
                libpoppler-qt5-dev,
-               libqt5svg5-dev (>= 5.4.0),
-               libqt5x11extras5-dev (>= 5.4.0),
+               libqt5svg5-dev (>= 5.6.0),
+               libqt5x11extras5-dev (>= 5.6.0),
                libraw-dev,
                libtiff-dev,
                libxcb-util0-dev,
@@ -40,14 +39,14 @@
                libxi-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.4.0),
-               qtmultimedia5-dev,
-               vc-dev [amd64 i386],
+               qtbase5-dev (>= 5.6.0),
+               qtmultimedia5-dev (>= 5.6.0),
+               vc-dev [any-i386 any-amd64],
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://krita.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krita
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krita
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/calligra/krita.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/calligra/krita.git
 
 Package: krita
 Architecture: any
@@ -56,6 +55,7 @@
 Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
 Breaks: krita-data (<< 1:2.4)
 Replaces: krita-data (<< 1:2.4)
+Built-Using: ${vc:Built-Using}
 Description: pixel-based image manipulation program
  Krita is a creative application for raster images. Whether you want to create
  from scratch or work with existing images, Krita is for you. You can work with

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,13 @@
 #export DH_VERBOSE=1
 
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
+
+DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
+ifeq ($(DEB_HOST_ARCH_CPU),$(findstring $(DEB_HOST_ARCH_CPU),amd64 i386))
+  VC_DEV_VERSION = $(shell dpkg-query -Wf '$${source:Package} (= $${source:Version})' vc-dev)
+else
+  VC_DEV_VERSION =
+endif
 
 # conflicts with old calligra-l10n
 # (mostly copied from l10n-packages.mk in pkg-kde-tools)
@@ -18,19 +25,18 @@
 	dh $@ --parallel --with kf5
 
 override_dh_auto_configure:
-	dh_auto_configure -Skf5 -- -DPACKAGERS_BUILD=ON -DFOUNDATION_BUILD=OFF -DBUILD_TESTING=OFF
+	dh_auto_configure -Skf5 -- -DFOUNDATION_BUILD=OFF -DBUILD_TESTING=OFF
 
 override_dh_auto_install:
 	dh_auto_install
 	# remove symlinks of private libraries
 	find debian/tmp -name '*.so' -type l -print -delete
-	# unused tool
-	rm -v debian/tmp/usr/bin/gmicparser
 
 override_dh_install:
 	dh_install --list-missing
 
 override_dh_gencontrol:
+	dh_gencontrol -pkrita -- -Vvc:Built-Using='$(VC_DEV_VERSION)'
 	dh_gencontrol -pkrita-l10n -- -Vkrita:oldLangs='$(l10npkgs_packages_rels)'
 	dh_gencontrol --remaining-packages
